Bug 1661034 - Review Request: python-edgegrid - Akamai {OPEN} Edgegrid authentication protocol for python-requests
Summary: Review Request: python-edgegrid - Akamai {OPEN} Edgegrid authentication proto...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-19 22:05 UTC by Rohan McGovern
Modified: 2019-02-19 22:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-19 22:33:38 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Rohan McGovern 2018-12-19 22:05:28 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/rohanpm/python-edgegrid/fedora-rawhide-x86_64/00838519-python-edgegrid/python-edgegrid.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/rohanpm/python-edgegrid/fedora-rawhide-x86_64/00838519-python-edgegrid/python-edgegrid-1.1.1-1.fc30.src.rpm
Description: This library implements an authentication handler for requests that provides the Akamai {OPEN} Edgegrid Authentication scheme.
Fedora Account System Username: rohanpm

Comment 1 Hirotaka Wakabayashi 2019-01-27 10:25:30 UTC
(In reply to Rohan McGovern from comment #0)
> Spec URL:
> https://copr-be.cloud.fedoraproject.org/results/rohanpm/python-edgegrid/
> fedora-rawhide-x86_64/00838519-python-edgegrid/python-edgegrid.spec
> SRPM URL:
> https://copr-be.cloud.fedoraproject.org/results/rohanpm/python-edgegrid/
> fedora-rawhide-x86_64/00838519-python-edgegrid/python-edgegrid-1.1.1-1.fc30.
> src.rpm
> Description: This library implements an authentication handler for requests
> that provides the Akamai {OPEN} Edgegrid Authentication scheme.
> Fedora Account System Username: rohanpm

Hello Rohan, 

I'm getting 404 errors on the urls above. Could you confirm they are reachable?


Thanks in advance,
Hirotaka Wakabayashi

Comment 2 Rohan McGovern 2019-01-30 04:21:32 UTC
(In reply to Hirotaka Wakabayashi from comment #1
>
> Hello Rohan, 
> 
> I'm getting 404 errors on the urls above. Could you confirm they are
> reachable?
> 

Sorry about that, those directories in copr were cleaned up, which I didn't expect.

Here's updated URLs:

Spec URL: https://fedorapeople.org/~rohanpm/python-edgegrid/1/python-edgegrid.spec
SRPM URL: https://fedorapeople.org/~rohanpm/python-edgegrid/1/python-edgegrid-1.1.1-1.fc30.src.rpm

Comment 3 Hirotaka Wakabayashi 2019-02-09 05:26:32 UTC
Hello, this is an unofficial review. Please read this for your reference.

Summary
=======

1. rpmlint success
2. The 'Group' tag should not be used
3. Other suggestions
4. Appendix 1: Koji scratch build succeeded
5. Appendix 2: dependency generator no problems

Details
=======

1. rpmlint success
------------------

No problems. Here is the output::
  $ rpmlint -i /home/vagrant/rpmbuild/RPMS/noarch/python3-edgegrid-1.1.1-1.fc29.noarch.rpm
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  $ rpmlint -i python-edgegrid.spec
  0 packages and 1 specfiles checked; 0 errors, 0 warnings.

  $ rpmlint -i /home/vagrant/rpmbuild/SRPMS/python-edgegrid-1.1.1-1.fc29.src.rpm
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

2. The 'Group' tag should not be used
The Group: tag should not be used. Here is the guideline.
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_tags_and_sections
   
3. Other suggestions
--------------------
The 'URL:' tag might be better than the 'Url:' tag for legibility.
I found a 'URL:' tag in the following example spec file while it's just an
example and it might not be a part of guidelines.
https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_python_spec_file

The following python guideline says the %python_provide macro should be used.
https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_reviewer_checklist

Currently I found no %python_provide in the spec file although generated
provides are correct::
  ~/rpmbuild/RPMS/noarch $ rpm -q --provides ~/rpmbuild/RPMS/noarch/python3-edgegrid-1.1.1-1.fc29.noarch.rpm
  python3-edgegrid = 1.1.1-1.fc29
  python3.7dist(edgegrid-python) = 1.1.1
  python3dist(edgegrid-python) = 1.1.1

Appendix 1: Koji scratch build succeeded
----------------------------------------
https://koji.fedoraproject.org/koji/taskinfo?taskID=32679130

Appendix 2: dependency generator no problems
--------------------------------------------
Generated requires are correct::
  [vagrant@localhost python-edgegrid]$ find ~/rpmbuild/|grep edgegrid|grep requires.txt| xargs cat
  requests>=2.3.0
  pyOpenSSL>=0.13
  ndg-httpsclient
  pyasn1
  urllib3
  [vagrant@localhost python-edgegrid]$ rpm -q --requires ~/rpmbuild/RPMS/noarch/python3-edgegrid-1.1.1-1.fc29.noarch.rpm |grep python3.*dist
  python3.7dist(ndg-httpsclient)
  python3.7dist(pyasn1)
  python3.7dist(pyopenssl) >= 0.13
  python3.7dist(requests) >= 2.3.0
  python3.7dist(urllib3)

Comment 4 Robert-André Mauchin 2019-02-16 02:44:33 UTC
 - Add Python provide:

%{?python_provide:%python_provide python3-%{srcname}}

 - Remove Group: Development/Libraries

 - Own

%dir %{python3_sitelib}/akamai

   and replace %{python3_sitelib}/akamai/edgegrid/* with:

%{python3_sitelib}/akamai/edgegrid



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "Apache License (v2.0)". 14 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/python-edgegrid
     /review-python-edgegrid/licensecheck.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.7/site-
     packages/akamai/edgegrid, /usr/lib/python3.7/site-packages/akamai
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-edgegrid-1.1.1-1.fc30.noarch.rpm
          python-edgegrid-1.1.1-1.fc30.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 5 Rohan McGovern 2019-02-17 03:56:25 UTC
Thank you both.  I've prepared an update with fixes for all issues mentioned above.

Spec URL: https://fedorapeople.org/~rohanpm/python-edgegrid/2/python-edgegrid.spec
SRPM URL: https://fedorapeople.org/~rohanpm/python-edgegrid/2/python-edgegrid-1.1.1-2.fc30.src.rpm

Fixes:

> 2. The 'Group' tag should not be used
>  - Remove Group: Development/Libraries

Done.

> The 'URL:' tag might be better than the 'Url:' tag for legibility.

Done.

> The following python guideline says the %python_provide macro should be used.
>  - Add Python provide:

Done.

> - Own
> 
> %dir %{python3_sitelib}/akamai
>
>   and replace %{python3_sitelib}/akamai/edgegrid/* with:
>
> %{python3_sitelib}/akamai/edgegrid

Done.

Thanks again.

Comment 6 Robert-André Mauchin 2019-02-17 17:18:21 UTC
LGTM, package approved.

Comment 7 Gwyn Ciesla 2019-02-19 14:30:48 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-edgegrid

Comment 8 Rohan McGovern 2019-02-19 22:33:38 UTC
Built for rawhide at: https://koji.fedoraproject.org/koji/buildinfo?buildID=1213776

There is one odd thing about that build, it was built with dist=fc30 but is currently tagged as f31-pending.  Probably because we have just passed f30 branching point.  I hope that mismatch between dist and tag doesn't cause any issue.


Note You need to log in before you can comment on or make changes to this bug.